using System;
using System.Collections.Generic;
using System.Text;
using Howest.Guidance.DataAccess.CodeGeneration.ObjectModel;
using System.Windows.Forms;

namespace Howest.Guidance.DataAccess.CustomWizardPages.UI
{
	internal class EntityNode : TreeNode
	{
		public EntityNode(Entity entity)
		{
			if (entity == null)
				throw new ArgumentNullException("entity");
			Text = entity.Name;
			Tag = entity;
		}
	}

	internal class PropertyNode : TreeNode
	{
		public PropertyNode(Property property)
		{
			if (property == null)
				throw new ArgumentNullException("property");
			Text = property.Name;
			Tag = property;
		}
	}
}
